﻿using HKCardIN.Helper;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using XExten.Advance.HttpFramework.MultiFactory;

namespace HKCardIN.Logic
{
    public class BaseLogic : Singleton<BaseLogic>
    {
        public async Task<dynamic> PullUserAndCardInfo()
        {
            return await IHttpMultiClient.HttpMulti.AddNode(t =>
                {
                    t.NodePath = DataBus.SaasRoute + ApiRoute.PullUserAndCardInfo;
                }).Build().RunStringFirstAsync();
        }
        public async Task<dynamic> PushMoneyToServer(dynamic input)
        {
            return await IHttpMultiClient.HttpMulti.AddNode(t =>
            {
                t.NodePath = DataBus.SaasRoute + ApiRoute.PushMoneyToServer;
            }).Build().RunStringFirstAsync();
        }
    }
}
